> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monei.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get address of user wallet



## OpenAPI

````yaml /openapi.json get /api/v1/solana/address
openapi: 3.0.0
info:
  title: Mr Monei API Gateway
  description: External API for partners using API Key authentication
  version: '1.0'
  contact: {}
servers:
  - url: https://api.dev.monei.cc
    description: Dev Server
  - url: https://api.monei.cc
    description: Live Server
security: []
tags: []
paths:
  /api/v1/solana/address:
    get:
      tags:
        - Solana Wallet
      summary: Get address of user wallet
      operationId: SolanaController_getWalletAddress
      parameters: []
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletAddressResponseDto'
      security:
        - bearer: []
        - api-key: []
components:
  schemas:
    WalletAddressResponseDto:
      type: object
      properties:
        statusCode:
          type: number
        message:
          type: string
        data:
          $ref: '#/components/schemas/AddressDto'
        errors:
          type: object
      required:
        - statusCode
        - message
        - data
        - errors
    AddressDto:
      type: object
      properties:
        address:
          type: string
      required:
        - address
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-API-KEY

````